Bug 850013 - Try to print repr() when a fatal garbage collection assertion fails
Try to print repr() when a fatal garbage collection assertion fails
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: python (Show other bugs)
7.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Bohuslav "Slavek" Kabrda
Branislav Náter
:
Depends On: 614680
Blocks: 971858
  Show dependency treegraph
 
Reported: 2012-08-21 09:16 EDT by Branislav Náter
Modified: 2014-06-18 00:23 EDT (History)
2 users (show)

See Also:
Fixed In Version: python-2.7.5-3.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 614680
: 971858 (view as bug list)
Environment:
Last Closed: 2014-06-13 08:50:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Comment 5 Dave Malcolm 2013-02-20 16:48:24 EST
Refreshed patch against 2.7 committed to Fedora git "master" for Fedora 19:
http://pkgs.fedoraproject.org/cgit/python.git/commit/?id=6a2708e308b57d4ed37dd4dba9ed6944b2229927

Building python-2.7.3-25.fc19 for rawhide
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=5038014
Comment 6 Bohuslav "Slavek" Kabrda 2013-07-24 06:03:41 EDT
This has been merged into RHEL 7 dist-git a while ago. The current build, python-2.7.5-3.el7 has this patch incorporated. Moving to MODIFIED.
Comment 8 Branislav Náter 2013-11-07 06:03:06 EST
Fix has been verified on python-debug-2.7.5-8.el7 on all architectures.


::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: Test
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

test_refcount_errors (__main__.GCTests) ... 
Assertion error message was:

/builddir/build/BUILD/Python-2.7.5/Modules/gcmodule.c:437: visit_decref: Assertion "gc->gc.gc_refs != 0" failed.
refcount was too small
object  : []
type    : list
refcount: 1
address : 0x9a789758

ok

----------------------------------------------------------------------
Ran 1 test in 0.091s

OK
[39180 refs]
:: [   PASS   ] :: Running the test (Expected 0, got 0)
Comment 9 Ludek Smid 2014-06-13 08:50:20 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.